#[derive(Debug, Clone, clap::Parser)]
pub struct MlcConfig {
    #[arg(long = "port", default_value = "8080", env = "MLC_SERVER_PORT")]
    pub server_port: u16,
    #[arg(long = "host", default_value = "0.0.0.0", env = "MLC_SERVER_HOST")]
    pub server_host: String,
    #[arg(long, short, default_value = "mlc.sqlite3", env = "MLC_DB_PATH")]
    pub db_path: String,
    #[arg(long, short, default_value = "secret", env = "MLC_JWT_SECRET")]
    pub jwt_secret: String,

    #[arg(long, short, default_value = "100", env = "MLC_PER_USER_MSG_BUFFER")]
    pub per_user_msg_buffer: usize,
}
